\name{solvechart}

\alias{solvechart}

\title{Find the minimum for a prime implicants chart}

\description{
Solve a PI chart using a minimum number of prime implicants.
}

\usage{
solvechart(x, ...)
}

\arguments{
    \item{x}{A binary matrix.}
    \item{...}{Other arguments.}
}

\details{
A PI chart, in this package, is a binary matrix containing the prime implicants on the columns
and the observed positive minterms on the rows.
}

\value{
A vector of binary values
}

\author{
Adrian Dusa
}

\examples{
set.seed(12345)
x <- matrix(
    sample(0:1, prob = c(0.65, 0.35), size = 35, replace = TRUE),
    nrow = 5
)

solvechart(x)
}

\keyword{functions}
